工作流调用说明：
重要：用法是表单对象叫一定要创建一个字段 process_instance_id，用来存储流程创建后返回的ID，字段名称不能变
/**
* 
* @param userId      用户ID
* @param orderFormId 表单ID
* @param workFlowKey WorkFlowEmus枚举下的KEY--创建哪个流程
* @return 流程实例ID，需回写到表单对象中
*/
统一调用下面方法创建自己相对应流程
BpmCreateServiceFactory.createBmp(Long userId, Long orderFormId, String workFlowKey)
没有引入包，请在POM中引入
<dependency>
  <groupId>cn.iocoder.boot</groupId>
  <artifactId>yudao-module-bpm-api</artifactId>
  <version>${revision}</version>
</dependency>

重要：工作流调用发起方需要提供一个回调接口，用以通知流程审核结果(参数固定,例子如下)
/**
orderFormId 发起流程的表单对象ID
result
* 1 处理中
* 2 通过
* 3 不通过
* 4 已取消
* @param event 事件
*/

BpmOALeaveService.updateLeaveResult(String orderFormId, int result);


工作流对应的表单界面对应的路由请依次提供,每天会根据大家的提供的参数进行流程配置，如果配置完成会同步修改成已配置
 流程名称                       创建表单的界面路由(后台直接发起流程，不用填)          表单详情的组件名称                     回调接口 
example:aaaaa                  /bpm/oa/leave/create                             /bpm/oa/leave/detail               BpmOALeaveService.updateLeaveResult
(未配置)订单审批-入仓修改审核     
(未配置)订单审批-订单修改审核
(未配置)订单审批-退仓审核
(未配置)订单审批-泡货优惠审核
(未配置)订单审批-重货优惠审核
(未配置)订单审批-费用审核                                                                                            OrderFeeApplicationService.updateFeeApproveResult
(未配置)订单审批-特价审核                                                                                            
(未配置)订单审批-调仓审核
(未配置)订单审批-合单审核                                                                                            MergeService.updateOrderMergeResult
(未配置)订单审批-拆单审核
(未配置)订单审批-放货审核
(未配置)订单审批-取消放货审核
(未配置)订单审批-调货申请

(未配置)出货审批-预装审核
(未配置)出货审批-预装反审核
(未配置)出货审批-封柜审核
(未配置)出货审批-卸柜审核
(未配置)出货审批-卸柜反审核
(未配置)出货审批-分拣审核
(未配置)出货审批-分拣反审核
(未配置)出货审批-订舱修改审核
(未配置)出货审批-起运修改审核
(未配置)出货审批-报关退场审核
(未配置)出货审批-报关部分退场审核
(未配置)出货审批-清关修改审核
(未配置)出货审批-到港修改审核
(未配置)出货审批-报关修改审核
(未配置)出货审批-配船修改审核
(未配置)出货审批-拖车修改审核
(未配置)出货审批-柜子修改审核

(未配置)报价审核-报价单特价审核      /offer/special                             <special-discount></special-discount>    OfferService.approvalOffer
